package com.itsol.quantrivanphong.manager.project.project.bussiness;

import com.itsol.quantrivanphong.manager.project.project.dto.ProjectDTO;

import java.util.List;

public interface ProjectBussiness {
//    Danh sách dự án phân theo trang
    List<ProjectDTO> findProjectPage(String property, Object value, String sortExperssion, String sortDirection, Integer offset, Integer limit);
//    Danh sách dự án tất cả các dự án
    List<ProjectDTO> findAllProject();
//    upload thông tin dự án
    String updateProject(ProjectDTO dto);
//    thêm dự án mới
    String saveProject(ProjectDTO dto);
//    tìm kiếm dự án theo id
    ProjectDTO findByProjectId(Integer id);
//    xóa list dự án theo arr ids
    String deleteProject(Integer[] ids);
    //  xóa một project
    String deleteProjectById(Integer ids);
}
